Index: oldkernel/linux/drivers/char/serial.c
diff -u linux/drivers/char/serial.c:1.1.1.1 linux/drivers/char/serial.c:1.2
--- linux/drivers/char/serial.c:1.1.1.1	Wed May 31 12:33:50 2000
+++ linux/drivers/char/serial.c	Thu Jun  1 15:35:12 2000
@@ -1383,8 +1383,13 @@
 	if (info->state->type == PORT_16750)
 		serial_outp(info, UART_FCR, fcr); 	/* set fcr */
 	serial_outp(info, UART_LCR, cval);		/* reset DLAB */
-	if (info->state->type != PORT_16750)
+	if (info->state->type != PORT_16750) {
+		if (fcr & UART_FCR_ENABLE_FIFO) {
+			/* emulated UARTs (Lucent Venus 167x) need two steps */
+			serial_outp(info, UART_FCR, UART_FCR_ENABLE_FIFO);
+		}
 		serial_outp(info, UART_FCR, fcr); 	/* set fcr */
+	}
 	restore_flags(flags);
 }
 
